-- Test surroundings_ad_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(27);

set search_path to camper, public;

select has_table('surroundings_ad_i18n');
select has_pk('surroundings_ad_i18n');
select col_is_pk('surroundings_ad_i18n', array['company_id', 'lang_tag']);
select table_privs_are('surroundings_ad_i18n', 'guest', array['SELECT']);
select table_privs_are('surroundings_ad_i18n', 'employee', array['SELECT']);
select table_privs_are('surroundings_ad_i18n', 'admin', array['SELECT', 'INSERT', 'UPDATE', 'DELETE']);
select table_privs_are('surroundings_ad_i18n', 'authenticator', array[]::text[]);

select has_column('surroundings_ad_i18n', 'company_id');
select col_is_fk('surroundings_ad_i18n', 'company_id');
select fk_ok('surroundings_ad_i18n', 'company_id', 'surroundings_ad', 'company_id');
select col_type_is('surroundings_ad_i18n', 'company_id', 'integer');
select col_not_null('surroundings_ad_i18n', 'company_id');
select col_hasnt_default('surroundings_ad_i18n', 'company_id');

select has_column('surroundings_ad_i18n', 'lang_tag');
select col_is_fk('surroundings_ad_i18n', 'lang_tag');
select fk_ok('surroundings_ad_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('surroundings_ad_i18n', 'lang_tag', 'text');
select col_not_null('surroundings_ad_i18n', 'lang_tag');
select col_hasnt_default('surroundings_ad_i18n', 'lang_tag');

select has_column('surroundings_ad_i18n', 'title');
select col_type_is('surroundings_ad_i18n', 'title', 'text');
select col_not_null('surroundings_ad_i18n', 'title');
select col_hasnt_default('surroundings_ad_i18n', 'title');

select has_column('surroundings_ad_i18n', 'anchor');
select col_type_is('surroundings_ad_i18n', 'anchor', 'text');
select col_not_null('surroundings_ad_i18n', 'anchor');
select col_hasnt_default('surroundings_ad_i18n', 'anchor');


select *
from finish();

rollback;

